#ifndef AlienCommandDialog_h
#define AlienCommandDialog_h

// $Id: AlienCommandDialog.h,v 1.4 2012/07/23 13:52:03 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "AlienCommand.h"
#include "Key.h"

#include <QtGui/QAction>

class TreeView;
class AlienCommandModel;

//! show list of pending commands
class AlienCommandDialog: public CustomDialog, public BASE::Key
{

    Q_OBJECT

    public:

    //! constructor
    AlienCommandDialog( QWidget* parent );

    //! destructor
    virtual ~AlienCommandDialog( void )
    {}

    //! model
    void setModel( AlienCommandModel* );

    //! list
    TreeView& list( void ) const
    { return *list_; }

    signals:

    // emitted when commands are aborted
    void commandsAborted( const AlienCommand::List& );

    protected slots:

    //! update actions
    void _updateActions( void );

    //! abort selected commands
    void _abortCommands( void );

    //! store selected jobs in model
    void _storeSelection( void );

    //! restore selected jobs from model
    void _restoreSelection( void );

    private:

    //! user selection frame
    TreeView* list_;

    //! model
    AlienCommandModel* model_;

    //! actions
    QAction* abortAction_;

};
#endif
