// $Id: DefaultOptions.h,v 1.21 2012/07/23 15:13:33 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.	See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA	02111-1307 USA
*
*
*******************************************************************************/

#include "AlienCommandModel.h"
#include "File.h"
#include "Util.h"
#include "XmlOptions.h"

//_____________________________________________________
//! default options installer
void installDefaultOptions( void )
{

    XmlOptions::get().setAutoDefault( true );

    XmlOptions::get().keep( "APPLICATIONS" );

    XmlOptions::get().keep( "USER_NAME" );
    XmlOptions::get().set( "RUNNING_JOB_COLOR", "#ffcc00" );
    XmlOptions::get().set( "FAILED_JOB_COLOR", "#cc0000" );
    XmlOptions::get().set( "COMPLETED_JOB_COLOR", "#00aa00" );

    XmlOptions::get().set( "JOB_TRACE_TRACE_COLOR", "#00aa00" );
    XmlOptions::get().set( "JOB_TRACE_STATE_COLOR", "#aa0000" );
    XmlOptions::get().set( "JOB_TRACE_PROC_COLOR", "#0000aa" );
    XmlOptions::get().set( "JOB_TRACE_SUBMIT_COLOR", "#ffcc00" );

    XmlOptions::get().set( "LIST_ICON_SIZE", Option( "10", "default icon size in lists" ) );
    XmlOptions::get().set( "REFRESH_RATE", Option( "10" , "refresh rate (seconds)") );

    XmlOptions::get().set( "ICON_PIXMAP", Option( ":/icon.png" , "application icon"  ) );
    XmlOptions::get().set( "APP_NAME", Option( "gridwatch", Option::NONE ) );
    XmlOptions::get().set( "XML_FILE", Option( File(".gridwatch_hist").addPath( Util::home() ), Option::NONE ) );
    XmlOptions::get().set( "RC_FILE", Option( File(".gridwatchrc").addPath( Util::home() ), Option::NONE ) );
    XmlOptions::get().set( "LOG_ENABLED", "0" );

    XmlOptions::get().set( "SHOW_SUMMARY", "1" );
    XmlOptions::get().set( "SHOW_COMMAND_LIST", "0" );
    XmlOptions::get().set( "SHOW_LOG", "0" );
    XmlOptions::get().set( "WRAP_LOG", "1" );

    // command list
    XmlOptions::get().set( "ALIEN_COMMAND_LIST_MASK", Option().set<int>( 1<<AlienCommandModel::NAME ) );
    XmlOptions::get().set( "ALIEN_COMMAND_LIST_SORT_COLUMN", Option().set<int>( AlienCommandModel::PRIORITY ) );

    XmlOptions::get().set( "HIDE_KILLED_JOBS", "1" );

    // default open command
    XmlOptions::get().set( "OPEN_COMMAND", "1" );

    // certificates path
    XmlOptions::get().set( "CERTIFICATES_PATH", Util::env( "XrdSecSSLCADIR" ) );

    // tmp path
    XmlOptions::get().setRaw( "TEMP_PATH", Util::tmp() );

    XmlOptions::get().setAutoDefault( false );

}
