#ifndef JobCollection_h
#define JobCollection_h

// $Id: JobCollection.h,v 1.3 2012/02/21 08:58:46 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*******************************************************************************/

#include "Counter.h"
#include "File.h"
#include "JobSet.h"

#include <QtCore/QList>

class JobCollection: public Counter
{

    public:

    //! constructor
    JobCollection( void ):
        Counter( "JobCollection" )
    {}

    //! destructor
    virtual ~JobCollection( void )
    {}

    //! add job set
    void add( const JobSet& jobs )
    { jobSets_.push_back( jobs ); }

    //! clear
    void clear( void )
    { jobSets_.clear(); }

    //! job sets
    typedef QList<JobSet> List;
    const List& jobSets( void ) const
    { return jobSets_; }

    //! read from file
    bool read( const File& file );

    //! write to file
    bool write( const File& file ) const;

    private:

    //! job sets
    List jobSets_;

};

#endif
