#ifndef OpenFileDialog_h
#define OpenFileDialog_h

// $Id: OpenFileDialog.h,v 1.3 2012/01/18 10:21:24 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"

#include <QtGui/QRadioButton>

class CustomComboBox;

class OpenFileDialog: public CustomDialog
{

    //! Qt meta object declaration
    Q_OBJECT

    public:

    enum Command
    {
        OpenWith = 1<<0,
        SaveAs = 1<<1,
        Any = OpenWith|SaveAs
    };

    //! constructor
    OpenFileDialog( QWidget*, unsigned int = Any );

    //! destructor
    virtual ~OpenFileDialog( void )
    {}

    //! set command
    void setCommand( const Command& command )
    { openWithRadioButton_->setChecked( command == OpenWith ); }

    //! return command
    Command command( void )
    { return openWithRadioButton_->isChecked() ? OpenWith : SaveAs; }

    //! combo box
    CustomComboBox& actionComboBox( void ) const
    { return *actionComboBox_; }

    protected slots:

    //! select action from fileSelection dialog.
    void _browse( void );

    private:

    CustomComboBox* actionComboBox_;

    QRadioButton* openWithRadioButton_;
    QRadioButton* saveAsRadioButton_;

};

#endif
