TEMPLATE = app
TARGET = gridwatch

CONFIG += qt release
QT += xml network

VERSION = 1.2.1
DEFINES += VERSION=\\\"$$VERSION\\\"

unix {
  QT += dbus
  LIBS += -lX11
}

win32 {

  DEFINES += QT_STATIC
  DESTDIR = "C:\Program Files"
  QMAKE_LFLAGS += -static-libgcc -static-libstdc++

  # this is needed to copy target into relevant versioned name
  exists( \"$$DESTDIR\\upx.exe\" ) {

     # if available, use upx to compress the file
     version.commands = "\"$$DESTDIR\\upx.exe\" -9 -f -o \"$$DESTDIR\\$$TARGET_"$$VERSION".exe\""  "\"$$DESTDIR\\"$$TARGET".exe\"

  } else {

     # simple copy
     version.commands = @copy "\"$$DESTDIR\\"$$TARGET".exe\" \"$$DESTDIR\\$$TARGET_"$$VERSION".exe\""

  }

  # add to Post targets
  QMAKE_EXTRA_TARGETS += version
  QMAKE_POST_LINK += $$version.commands

}

INCLUDEPATH = . ../base ../base-qt ../base-server ../extra-includes
DEPENDPATH += . ../base ../base-qt ../base-server ../extra-includes

LIBS += \
  ../base-server/libbase-server.a \
  ../base-qt/libbase-qt.a \
  ../base/libbase.a

POST_TARGETDEPS = \
  ../base-server/libbase-server.a \
  ../base-qt/libbase-qt.a \
  ../base/libbase.a


RESOURCES = pixmaps.qrc ../base-qt/basePixmaps.qrc
RC_FILE = qedit.rc

HEADERS = \
AlienCommand.h \
AlienCommandDialog.h \
AlienCommandList.h \
AlienCommandModel.h \
AlienInterface.h \
Application.h \
ConfigurationDialog.h \
DefaultOptions.h \
FileRecordProperties.h \
Icons.h \
JdlSyntaxHighlighter.h \
Job.h \
JobCollection.h \
JobInformationDialog.h \
JobSet.h \
JobStatistics.h \
JobModel.h \
JobManager.h \
JobManagerFrame.h \
JobStatusBar.h \
JobTraceSyntaxHighlighter.h \
LogDialog.h \
MainWindow.h \
Menu.h \
NewFrameDialog.h \
OpenFileDialog.h \
SummaryBar.h \
SummaryFrame.h \
UserSet.h \
XmlDef.h

SOURCES = \
AlienCommand.cpp \
AlienCommandDialog.cpp \
AlienCommandList.cpp \
AlienCommandModel.cpp \
Application.cpp \
ConfigurationDialog.cpp \
Job.cpp \
JobCollection.cpp \
JobInformationDialog.cpp \
AlienInterface.cpp \
JdlSyntaxHighlighter.cpp \
JobManager.cpp \
JobManagerFrame.cpp \
JobModel.cpp \
JobSet.cpp \
JobStatistics.cpp \
JobTraceSyntaxHighlighter.cpp \
JobStatusBar.cpp \
LogDialog.cpp \
MainWindow.cpp \
Menu.cpp \
NewFrameDialog.cpp \
OpenFileDialog.cpp \
SummaryBar.cpp \
SummaryFrame.cpp \
UserSet.cpp \
gridwatch.cpp
